/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package ProductSaleMgmt.ProductAgreement;

import java.util.Vector;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval */
public class DiscountAgreement {
    public void makeDiscountAgreement() {
    }

    public void addDetail() {
    }

    public void complete() {
    }

    public void cancel() {
    }

    public Vector mi_comparePlanVsActualSales() {
        return new Vector();
    }

    public Vector mi_calcTotalDiscountsDuringAgreement() {
        return new Vector();
    }

    public static Vector listDiscountAgreements() {
        return new Vector();
    }

    /**
     *@shapeType AggregationLink
     *    @associates <b>DiscountAgreementDetail</b>
     * @supplierCardinality 1..*
     * @clientCardinality 1
     */
    private Vector lnkUnnamed1;
    private String number;
    private int interval;

    /** @supplierCardinality 1 */
    private IMakeDiscountAgreement lnkUnnamed2;
    private int plannedSalesDuringAgreement;
    private int status;
}


